Bug 498579 - Geforce 6 AGP card and nouveau driver hangs and X takes 100% CPU
Geforce 6 AGP card and nouveau driver hangs and X takes 100% CPU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs
Depends On:
Blocks: 518893
  Show dependency treegraph
 
Reported: 2009-05-01 05:21 EDT by Olivier Fourdan
Modified: 2010-06-28 08:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:18:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (6.89 KB, application/x-gzip)
2009-05-01 05:21 EDT, Olivier Fourdan
no flags Details
/var/log/Xorg.0.log from the attachment 342058 (73.55 KB, text/plain)
2009-05-15 19:43 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Olivier Fourdan 2009-05-01 05:21:58 EDT
Created attachment 342058 [details]
Xorg log file

Description of problem:

Shuttle SB51G (SIS 651 chipset), NVIdia Geforce 6200 AGP will cause the X session to hang with the X process taking 100% CPU after a random (short) period of time.

Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau-0.0.12-31.20090421git47bb00f.fc11.i586

How reproducible:

100% repducible

Steps to Reproduce:
1. Log in X
2. Start a few application (usually gnome-terminal, firefox)
  
Actual results:

The X session hangs, cannot switch to console. Need to ssh to the system and kill -9 the X process to recover

Expected results:

The X session does not hang.

Additional info:

gdb on the X process shows the following backtrace:

(gdb) bt
#0  0x00560770 in nouveau_fence_flush () from /usr/lib/libdrm_nouveau.so.1
#1  0x0056053a in nouveau_fence_wait () from /usr/lib/libdrm_nouveau.so.1
#2  0x0055f0ac in nouveau_bo_map () from /usr/lib/libdrm_nouveau.so.1
#3  0x00494187 in ?? () from /usr/lib/xorg/modules/drivers//nouveau_drv.so
#4  0x00494dbc in ?? () from /usr/lib/xorg/modules/drivers//nouveau_drv.so
#5  0x006b1dd4 in ?? () from /usr/lib/xorg/modules//libexa.so
#6  0x006b2400 in ?? () from /usr/lib/xorg/modules//libexa.so
#7  0x006b2b7a in exaDoMigration () from /usr/lib/xorg/modules//libexa.so
#8  0x006b3f45 in ?? () from /usr/lib/xorg/modules//libexa.so
#9  0x006b49f6 in exaComposite () from /usr/lib/xorg/modules//libexa.so
#10 0x081786db in ?? ()
#11 0x0816a8ac in CompositePicture ()
#12 0x006b3ba4 in exaTrapezoids () from /usr/lib/xorg/modules//libexa.so
#13 0x0816a58e in CompositeTrapezoids ()
#14 0x0817320f in ?? ()
#15 0x0816d4a5 in ?? ()
#16 0x08086807 in Dispatch ()
#17 0x0806bb0d in main ()

There are other current BZ about X+Nouveau taking 100% CPU but the backtrace differs from the above.
Comment 1 Ben Skeggs 2009-05-01 06:57:54 EDT
How do you fare if you boot with nouveau.noagp=1 on the kernel commandline?
Comment 2 Olivier Fourdan 2009-05-02 05:17:15 EDT
(In reply to comment #1)
> How do you fare if you boot with nouveau.noagp=1 on the kernel commandline?  

Yeap, that made the trick, it seems stable with that option. Thanks!
Comment 3 Matěj Cepl 2009-05-15 19:43:33 EDT
Created attachment 344243 [details]
/var/log/Xorg.0.log from the attachment 342058 [details]
Comment 4 Matěj Cepl 2009-05-15 19:49:52 EDT
Hmm,

[matej@viklef tmp]$ checkXorgLog 'https://bugzilla.redhat.com/attachment.cgi?id=344243'
(WW) Falling back to old probe method for vesa
(WW) Falling back to old probe method for fbdev
(EE) open /dev/fb0: No such file or directory
(EE) AIGLX error: dlopen of /usr/lib/dri/nouveau_dri.so failed (/usr/lib/dri/nouveau_dri.so: cannot open shared object file: No such file or directory)
(EE) AIGLX: reverting to software rendering
[matej@viklef tmp]$ 

Could we get output of the command

ls -l /usr/lib*/dri/nouveau_dri.so

and

LANG=C rpm -Va xorg\* 2>&1|grep -v prelink

Thank you very much
Comment 5 Matěj Cepl 2009-05-15 20:16:32 EDT
*** Bug 498924 has been marked as a duplicate of this bug. ***
Comment 6 Matěj Cepl 2009-05-15 20:41:39 EDT
(In reply to comment #4)
> Could we get output of the command
> 
> ls -l /usr/lib*/dri/nouveau_dri.so
> 
> and
> 
> LANG=C rpm -Va xorg\* 2>&1|grep -v prelink

Forget about this, I forget we don't provide nouveau_dri.so currently.

ASSIGNING
Comment 7 Bug Zapper 2009-06-09 10:55:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Orion Poplawski 2009-07-08 17:23:29 EDT
I think I'm seeing the same with:

05:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600] (rev a2)
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64

Not much action here.  Do we need to file upstream?
Comment 9 Adam Williamson 2009-07-15 16:55:35 EDT
Your issue may not be the same as the OP's, but Ben would know.

Reporting upstream certainly couldn't hurt, but Ben is one of the main upstream nouveau developers, and he is working on all bugs filed in RH Bugzilla, just there's quite a few and he can't fix them all at once :)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Olivier Fourdan 2009-07-15 17:44:28 EDT
(In reply to comment #9)
> Your issue may not be the same as the OP's, but Ben would know.

Yes, agree. Actually I thought the issue was fixed as the problem does not occur anymore in my case (even w/out the "nouveau.noagp=1" option).

As far as I can tell, the original issue has been fixed.
Comment 11 Adam Williamson 2009-07-15 21:32:06 EDT
Just to confirm, Olivier - you're on F11 final with updates, or Rawhide?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Ben Skeggs 2009-08-23 23:07:17 EDT
That's interesting to note.  If it's rawhide I have noticed on a couple of cards I have that AGP seems more stable, the reason is unknown though.  I still have one card where I need to use it however.  Anyway, I'll wait for Oliver to confirm F11 or rawhide and close appropriately!
Comment 13 Matěj Cepl 2009-11-05 13:28:05 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Chris Campbell 2009-12-02 08:41:06 EST
Oliver, this is a reminder that there is a question in Comment #11 awaiting your answer. :)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Matěj Cepl 2010-02-26 07:22:03 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 16 Olivier Fourdan 2010-02-26 07:58:17 EST
(In reply to comment #11)
> Just to confirm, Olivier - you're on F11 final with updates, or Rawhide?

Oh sorry I missed that one!

That was on F11 final with updates. But the trick from comment 1 fixed it, I have not retried since then.
Comment 17 Bug Zapper 2010-04-27 10:02:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-06-28 08:18:25 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.